ooo-build r14084 - in trunk: bin/piece patches/dev300



Author: pmladek
Date: Thu Sep 25 16:20:06 2008
New Revision: 14084
URL: http://svn.gnome.org/viewvc/ooo-build?rev=14084&view=rev

Log:
2008-09-25  Petr Mladek  <pmladek suse cz>

	* patches/dev300/svtools-build-dep.diff, patches/dev300/apply:
	  parallel build fix, i#94339

	* bin/piece/save-noarch: do not pack the duplicated layout templates



Added:
   trunk/patches/dev300/svtools-build-dep.diff
Modified:
   trunk/bin/piece/save-noarch
   trunk/patches/dev300/apply

Modified: trunk/bin/piece/save-noarch
==============================================================================
--- trunk/bin/piece/save-noarch	(original)
+++ trunk/bin/piece/save-noarch	Thu Sep 25 16:20:06 2008
@@ -20,6 +20,23 @@
 # will be moved to /usr/share in file-list-help
 test "$piece" = "help" && exit 0;
 
+# HACK: the lyt-* layout tamplates are available at
+# http://extensions.services.openoffice.org/project/TemplatePack_II
+# they are not really localized
+# we do not want them copied into all l10n packageswe,definitely
+# For example, they are already included in the separate package
+# OpenOffice_org-templates-presentation-layouts on OpenSUSE
+# FIXME: make me it optional?; allow move them to the common dir?
+for list in $DESTDIR/gid_Module_Langpack_Basis_* ; do
+    test -f $list || continue;
+    for file in `sort -u $list | grep "$OO_INSTDIR/basis3.0/share/template/[-_[:alnum:]]*/layout/lyt-.*$"` ; do
+	echo "Warning: removing unwanted: $file"
+	rm $DESTDIR$file
+    done
+    sed "s|$OO_INSTDIR/basis3.0/share/template/[-_[:alnum:]]*/layout/lyt-.*$||" $list >$list.new
+    mv $list.new $list
+done
+
 echo "Saving noarch stuff back into solver ..."
 
 # always create the top dir, so we could put it into the package even when
@@ -31,13 +48,27 @@
     test -f $list || continue;
     # we want to keep the en_US localization in the package
     echo $list | grep "en_US" && continue;
-    for file in `grep -v "^%dir" $list | sort -ru` ; do
-	dir=`dirname $file`
-	mkdir -p "$DEST$dir"
-	mv "$DESTDIR$file" "$DEST$dir"
-	rmdir --ignore-fail-on-non-empty "$DESTDIR$dir"
+    for source in `grep -v "^%dir" $list | sort -ru` ; do
+	if test "$OOO_BUILD_NOARCH" = 'YES' ; then
+	    target=`echo "$source" | sed "s|$OO_INSTDIR|$OO_INSTDIR_SHARE|"`
+	else
+	    target="$source"
+	fi
+	source_dir=`dirname $source`
+	target_dir=`dirname $target`
+	mkdir -p "$DEST$target_dir"
+	mv "$DESTDIR$source" "$DEST$target_dir"
+	rmdir --ignore-fail-on-non-empty "$DESTDIR$source_dir"
     done
-    mv $list $DEST
+    # we need to save the list of files with the piece-specific name
+    listname_piece=`echo $list | sed "s|gid_Module_Langpack|gid_Module_Langpack_$piece|"`
+    listname_piece=`basename $listname_piece`
+    if test "$OOO_BUILD_NOARCH" = 'YES' ; then
+	sed "s|$OO_INSTDIR|$OO_INSTDIR_SHARE|" $list >$DEST/$listname_piece
+	rm $list
+    else	
+	mv $list $DEST/$listname_piece
+    fi
 done
 
 # icon themes are noarch but they could be keep as is in the separate package

Modified: trunk/patches/dev300/apply
==============================================================================
--- trunk/patches/dev300/apply	(original)
+++ trunk/patches/dev300/apply	Thu Sep 25 16:20:06 2008
@@ -1059,6 +1059,9 @@
 # OpenJDK paths for some archs
 config_office-openjdk-paths.diff, i91783
 
+# fixes parallel build
+svtools-build-dep.diff, i#94339, pmladek
+
 [ Gcc43 ]
 # gcc 4.3 requires #include <string.h> for strdup, memcmp etc.
 buildfix-bridges-strdup-header.diff, i#89762, kohei

Added: trunk/patches/dev300/svtools-build-dep.diff
==============================================================================
--- (empty file)
+++ trunk/patches/dev300/svtools-build-dep.diff	Thu Sep 25 16:20:06 2008
@@ -0,0 +1,8 @@
+--- svtools/prj/build.lst.old	2008-03-12 14:08:42.000000000 +0100
++++ svtools/prj/build.lst	2008-09-25 12:05:30.000000000 +0200
+@@ -1,4 +1,4 @@
+-st	svtools	:	offuh toolkit ucbhelper unotools JPEG:jpeg cppu cppuhelper comphelper sal jvmfwk NULL
++st	svtools	:	offuh toolkit ucbhelper unotools JPEG:jpeg cppu cppuhelper comphelper sal sot jvmfwk NULL
+ st	svtools						usr1	-	all	st_mkout NULL
+ st	svtools\inc					nmake	-	all	st_inc NULL
+ st	svtools\inc\sane				get	-	all	st_incsa NULL



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]